> ## Name

> cgIsStateAssignment - determine if a state assignment handle references a valid Cg state assignment

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgIsStateAssignment( CGstateassignment sa );

> ## Parameters

> sa
>   The state assignment handle to check.

> ## Return Values

> Returns CG_TRUE if sa references a valid state assignment.

> Returns CG_FALSE otherwise.

> ## Description

> cgIsStateAssignment returns CG_TRUE if sa references a valid state assignment, CG_FALSE otherwise.

> ## Examples

>     if (cgIsStateAssignment(sa)) {
>       /* do something with sa */
>     } else {
>       /* handle situation where sa is not a valid state assignment */
>     }

> ## Errors

> None.

> ## History

> cgIsStateAssignment was introduced in Cg 1.4.

> ## See Also

> cgCreateStateAssignment, cgCreateStateAssignmentIndex, cgGetFirstStateAssignment, cgGetFirstSamplerStateAssignment, cgGetNamedStateAssignment, cgGetNamedSamplerStateAssignment, cgGetNextStateAssignment, cgGetStateAssignmentIndex, cgGetStateAssignmentPass, cgGetStateAssignmentState